#ifndef COLORRENDERER_H
#define COLORRENDERER_H

#include "gaming-core/wrapper/VertexBuffer.h"
#include "gaming-core/utils/Color.h"

struct ColorRenderer final {

    struct Vertex {
        float x;
        float y;
        Color4 color;
    };

private:
    VertexBuffer vertexBuffer;

public:
    ColorRenderer();

    void draw(const Vertex& v1, const Vertex& v2, const Vertex& v3);
};

#endif