#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include "gaming-core/wrapper/VertexBuffer.h"
#include "gaming-core/utils/List.h"
#include "gaming-core/rendering/FileTexture.h"
#include "utils/Array.h"

class FontRenderer final {
    VertexBuffer vertexBuffer;
    List<FileTexture<4>, 3> tex;
    int activeTex;
    int scale;

public:
    FontRenderer();
    float drawString(float x, float y, const char* text);
    void setSize(int size);
};

#endif